package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 农产品货物对象 WmsFinishgoods
 * 
 * @author 杨晓辉
 * @date 2023-06-30
 */
public class WmsFinishgoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 农产品货物标识 */
    private String finishgoodsId;

    /** 溯源信息标识 */
    @Excel(name = "溯源信息标识")
    private String sourceinfoId;

    /** 货物标识 */
    @Excel(name = "货物标识")
    private String goodsId;

    /** 农产品类型 */
    @Excel(name = "农产品类型")
    private String finishgoodsType;

    /** 农产品信息 */
    @Excel(name = "农产品信息")
    private String finishgoodscode;

    /** 农产品采收批次 */
    @Excel(name = "农产品采收批次")
    private String finishgoodPickno;

    /** 农产品批次编号 */
    @Excel(name = "农产品批次编号")
    private String finishgoodNo;

    /** 农产品创建时间 */
    @Excel(name = "农产品创建时间")
    private String finishgoodCreateddate;

    /** 所属基地标识 */
    @Excel(name = "所属基地标识")
    private String landId;

    /** 所属基地名称 */
    @Excel(name = "所属基地名称")
    private String landName;

    /** 农产品费用 */
    @Excel(name = "农产品费用")
    private String finishgoodsExpense;

    public void setFinishgoodsId(String finishgoodsId)
    {
        this.finishgoodsId = finishgoodsId;
    }

    public String getFinishgoodsId()
    {
        return finishgoodsId;
    }
    public void setSourceinfoId(String sourceinfoId)
    {
        this.sourceinfoId = sourceinfoId;
    }

    public String getSourceinfoId()
    {
        return sourceinfoId;
    }
    public void setGoodsId(String goodsId)
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId()
    {
        return goodsId;
    }
    public void setFinishgoodsType(String finishgoodsType)
    {
        this.finishgoodsType = finishgoodsType;
    }

    public String getFinishgoodsType()
    {
        return finishgoodsType;
    }
    public void setFinishgoodscode(String finishgoodscode)
    {
        this.finishgoodscode = finishgoodscode;
    }

    public String getFinishgoodscode()
    {
        return finishgoodscode;
    }
    public void setFinishgoodPickno(String finishgoodPickno)
    {
        this.finishgoodPickno = finishgoodPickno;
    }

    public String getFinishgoodPickno()
    {
        return finishgoodPickno;
    }
    public void setFinishgoodNo(String finishgoodNo)
    {
        this.finishgoodNo = finishgoodNo;
    }

    public String getFinishgoodNo()
    {
        return finishgoodNo;
    }
    public void setFinishgoodCreateddate(String finishgoodCreateddate)
    {
        this.finishgoodCreateddate = finishgoodCreateddate;
    }

    public String getFinishgoodCreateddate()
    {
        return finishgoodCreateddate;
    }

    public String getLandId() {
        return landId;
    }

    public void setLandId(String landId) {
        this.landId = landId;
    }

    public String getLandName() {
        return landName;
    }

    public void setLandName(String landName) {
        this.landName = landName;
    }

    public String getFinishgoodsExpense() {
        return finishgoodsExpense;
    }

    public void setFinishgoodsExpense(String finishgoodsExpense) {
        this.finishgoodsExpense = finishgoodsExpense;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("finishgoodsId", getFinishgoodsId())
            .append("sourceinfoId", getSourceinfoId())
            .append("goodsId", getGoodsId())
            .append("finishgoodsType", getFinishgoodsType())
            .append("finishgoodscode", getFinishgoodscode())
            .append("finishgoodPickno", getFinishgoodPickno())
            .append("finishgoodNo", getFinishgoodNo())
            .append("finishgoodCreateddate", getFinishgoodCreateddate())
            .append("landId", getLandId())
            .append("landName", getLandName())
            .append("finishgoodsExpense", getFinishgoodsExpense())
            .toString();
    }
}
